##############################################################################
# $Id: xdtv.spec.in,v 1.35 2007/02/03 16:28:04 pingus77 Exp $
##############################################################################

%define _unpackaged_files_terminate_build 0

%define name 			xdtv
%define Name 			XdTV
%define version 		2.4.0
%define release 		1
%define summary1		%{Name} is a software to record & watch TV.
%define summary2		Developpement files for %{Name}.
%define summary3		TV Fonts used by the %{Name} OSD function.
%define with_tvfonts	 	1
%define with_optimization 	0
%define with_debug 		0
%define with_nextaw 		0
%define with_xawm 		0
%define with_xaw95 		0
%define with_xaw3d 		0
%define with_xinerama 		1
%define with_ogg 		1
%define with_xvid 		1
%define with_external_ffmpeg 	0
%define with_ffmpeg 		1
%define with_ffmpeg_amrnb	0
%define with_ffmpeg_amrnb_fixed	0
%define with_ffmpeg_amrwb	0
%define with_divx 		1
%define with_lame 		1
%define with_faac 		1
%define with_x264 		1
%define with_dvb 		1
%define with_zvbi 		1
%define with_lirc 		1
%define with_alsa 		1
%define with_png 		1
%define with_jpeg 		1

# Without
%{?_without_tvfonts: 		%{expand: %%global with_tvfonts 0}}
%{?_without_optimization: 	%{expand: %%global with_optimization 0}}
%{?_without_debug: 		%{expand: %%global with_debug 0}}
%{?_without_xinerama: 		%{expand: %%global with_xinerama 0}}
%{?_without_ogg: 		%{expand: %%global with_ogg 0}}
%{?_without_xvid: 		%{expand: %%global with_xvid 0}}
%{?_without_external_ffmpeg: 	%{expand: %%global with_external_ffmpeg 0}}
%{?_without_ffmpeg: 		%{expand: %%global with_ffmpeg 0}}
%{?_without_ffmpeg_amrnb:	%{expand: %%global with_ffmpeg_amrnb 0}}
%{?_without_ffmpeg_amrnb_fixed:	%{expand: %%global with_ffmpeg_amrnb_fixed 0}}
%{?_without_ffmpeg_amrwb:	%{expand: %%global with_ffmpeg_amrwb 0}}
%{?_without_divx: 		%{expand: %%global with_divx 0}}
%{?_without_lame: 		%{expand: %%global with_lame 0}}
%{?_without_faac: 		%{expand: %%global with_faac 0}}
%{?_without_x264: 		%{expand: %%global with_x264 0}}
%{?_without_dvb: 		%{expand: %%global with_dvb 0}}
%{?_without_zvbi: 		%{expand: %%global with_zvbi 0}}
%{?_without_lirc: 		%{expand: %%global with_lirc 0}}
%{?_without_alsa: 		%{expand: %%global with_alsa 0}}
%{?_without_png: 		%{expand: %%global with_png 0}}
%{?_without_jpeg: 		%{expand: %%global with_jpeg 0}}
%{?_without_nextaw: 		%{expand: %%global with_nextaw 0}}
%{?_without_xawm: 		%{expand: %%global with_xawm 0}}
%{?_without_xaw95: 		%{expand: %%global with_xaw95 0}}
%{?_without_xaw3d: 		%{expand: %%global with_xaw3d 0}}

# With
%{?_with_tvfonts: 		%{expand: %%global with_tvfonts 1}}
%{?_with_optimization: 		%{expand: %%global with_optimization 1}}
%{?_with_debug: 		%{expand: %%global with_debug 1}}
%{?_with_xinerama: 		%{expand: %%global with_xinerama 1}}
%{?_with_ogg: 			%{expand: %%global with_ogg 1}}
%{?_with_xvid: 			%{expand: %%global with_xvid 1}}
%{?_with_external_ffmpeg: 	%{expand: %%global with_external_ffmpeg 1}}
%{?_with_ffmpeg: 		%{expand: %%global with_ffmpeg 1}}
%{?_with_ffmpeg_amrnb: 		%{expand: %%global with_ffmpeg_amrnb 1}}
%{?_with_ffmpeg_amrnb_fixed: 	%{expand: %%global with_ffmpeg_amrnb_fixed 1}}
%{?_with_ffmpeg_amrwb: 		%{expand: %%global with_ffmpeg_amrwb 1}}
%{?_with_divx: 			%{expand: %%global with_divx 1}}
%{?_with_lame: 			%{expand: %%global with_lame 1}}
%{?_with_faac: 			%{expand: %%global with_faac 1}}
%{?_with_x264: 			%{expand: %%global with_x264 1}}
%{?_with_dvb: 			%{expand: %%global with_dvb 1}}
%{?_with_zvbi: 			%{expand: %%global with_zvbi 1}}
%{?_with_lirc: 			%{expand: %%global with_lirc 1}}
%{?_with_alsa: 			%{expand: %%global with_alsa 1}}
%{?_with_png: 			%{expand: %%global with_png 1}}
%{?_with_jpeg: 			%{expand: %%global with_jpeg 1}}
%{?_with_nextaw: 		%{expand: %%global with_nextaw 1}}
%{?_with_xawm: 			%{expand: %%global with_xawm 1}}
%{?_with_xaw95: 		%{expand: %%global with_xaw95 1}}
%{?_with_xaw3d: 		%{expand: %%global with_xaw3d 1}}

Name: 				%{name}
Summary: 			%{summary1}
Version: 			%{version}
Release: 			%{release}
License: 			GPL
Distribution: 			Any RPM Linux Distribution
Packager: 			Pingus <pingus_77@yahoo.fr>
URL:				http://xawdecode.sourceforge.net/
Source0:			http://prdownloads.sourceforge.net/xawdecode/%{name}-%{version}.tar.gz
Group: 				Video
BuildRoot: 			%{_tmppath}/%{name}-%{version}-buildroot

%description
%{Name} is a software to watch, record & stream TV.
It interacts with AleVT (Teletext) and Nxtvepg (NextView)
& supports the bttv, bktr & dvb APIs. It contains some
deinterlacing filters & record video files with various
containers (AVI, MPEG, OGG, etc.) & many codecs:
FFMpeg >=0.4.6, XviD 0.9 & 1.x, DivX 4 & 5, Ogg Vorbis
& Theora >=1.0a5. It has some plugin capabilities.

%package devel
Summary:			%{summary2}
Group:				Development/C
Requires:			%{name} = %{version}

%description devel
Developpement files for %{name}

%if %with_tvfonts
%package OSD-fonts
Summary:			%{summary3}
Group:				Video
Requires:			%{name} = %{version}
Obsoletes:			xdtv-OSD-font

%description OSD-fonts
TV Fonts used by the %{Name} OSD function.
%endif

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q

%build
%if %with_tvfonts
[ -n "$DISPLAY" ] && unset DISPLAY
%endif
./configure --prefix=%{_prefix} --mandir=%{_mandir} --libdir=%{_libdir} --with-gnu-ld \
%if %with_tvfonts
	--with-fontdir=%{_datadir}/fonts/misc/ --enable-makefonts \
%else
	--disable-makefonts \
%endif
%if %with_optimization
	--enable-cpu-detection \
%else
	--disable-cpu-detection \
%endif
%if %with_debug
	--disable-nodebug \
%else
	--enable-nodebug \
%endif
%if %with_xinerama
	--enable-xinerama \
%else
	--disable-xinerama \
%endif
%if %with_ogg
	--enable-ogg \
%else
	--disable-ogg \
%endif
%if %with_divx
	--enable-divx4linux \
%else
	--disable-divx4linux \
%endif
%if %with_xvid
	--enable-xvid \
%else
	--disable-xvid \
%endif
%if %with_external_ffmpeg
	--with-external-ffmpeg \
%endif
%if %with_ffmpeg
	--enable-ffmpeg \
%else
	--disable-ffmpeg \
%endif
%if %with_ffmpeg_amrnb
	--enable-ffmpeg-amrnb \
%else
	--disable-ffmpeg-amrnb \
%endif
%if %with_ffmpeg_amrnb_fixed
	--enable-ffmpeg-amrnb-fixed \
%else
	--disable-ffmpeg-amrnb-fixed \
%endif
%if %with_ffmpeg_amrwb
	--enable-ffmpeg-amrwb \
%else
	--disable-ffmpeg-amrwb \
%endif
%if %with_lame
	--enable-lame \
%else
	--disable-lame \
%endif
%if %with_faac
	--enable-faac \
%else
	--disable-faac \
%endif
%if %with_x264
	--enable-x264 \
%else
	--disable-x264 \
%endif
%if %with_zvbi
	--enable-zvbi \
%else
	--disable-zvbi \
%endif
%if %with_lirc
	--enable-lirc \
%else
	--disable-lirc \
%endif
%if %with_dvb
	--enable-dvb \
%else
	--disable-dvb \
%endif
%if %with_alsa
	--enable-alsa \
%else
	--disable-alsa \
%endif
%if %with_jpeg
	--enable-jpeg \
%else
	--disable-jpeg \
%endif
%if %with_png
	--enable-png \
%else
	--disable-png \
%endif
%if %with_nextaw
	--enable-nextaw \
%else
	--disable-nextaw \
%endif
%if %with_xawm
	--enable-xawm \
%else
	--disable-xawm \
%endif
%if %with_xaw95
	--enable-xaw95 \
%else
	--disable-xaw95 \
%endif
%if %with_xaw3d
	--enable-xaw3d \
%else
	--disable-xaw3d \
%endif

make prefix=%{_prefix}

%install
make prefix=%{_prefix} DESTDIR="$RPM_BUILD_ROOT" install

# Strip binaries (except the shell scripts)
strip $RPM_BUILD_ROOT/%{_bindir}/%{name}
strip $RPM_BUILD_ROOT/%{_bindir}/%{name}_v4l-conf
strip $RPM_BUILD_ROOT/%{_bindir}/%{name}_wizard
strip $RPM_BUILD_ROOT/%{_bindir}/%{name}_cmd
strip $RPM_BUILD_ROOT/%{_bindir}/%{name}_scantv
strip $RPM_BUILD_ROOT/%{_bindir}/%{name}_alevt*

# Bzip the man pages
bzip2 %{buildroot}%{_mandir}/man1/*.1

# Install the menu icon
install -D -m 644 xdtv-48.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/xdtv.png

# Create some desktop files for the XDG menu entries
%{__cat} <<EOF >xdtv.desktop
[Desktop Entry]
Name=XdTV
Comment=%{Summary}
Exec=xdtv
Icon=xdtv.png
Terminal=false
Type=Application
Categories=AudioVideo;
EOF

%{__cat} <<EOF >xdtv_wizard.desktop
[Desktop Entry]
Name=XdTV Wizard
Comment=%{Summary}
Exec=xdtv_wizard
Icon=xdtv.png
Terminal=false
Type=Application
Categories=AudioVideo;
EOF

# Install the XDG menu
install -D -m 644 xdtv.desktop $RPM_BUILD_ROOT%{_datadir}/applications/xdtv.desktop
install -D -m 644 xdtv_wizard.desktop $RPM_BUILD_ROOT%{_datadir}/applications/xdtv_wizard.desktop

# You can add these lines in the next command
#   --add-category="TV"
#   --add-category="X-Fedora"
#   --add-category="X-SUSE"
#   --add-category="X-MandrivaLinux-Multimedia-Video"
desktop-file-install --vendor="" \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications \
    $RPM_BUILD_ROOT%{_datadir}/applications/*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL TODO ChangeLog lisez-moi
%doc README* lircrc* xdtvrc.sample FAQfr-xdtv
%{_datadir}/X11/app-defaults/%{Name}
%{_sysconfdir}/%{name}/*.conf
%{_bindir}/%{name}*
%{_mandir}/man1/*
%{_datadir}/pixmaps/*
%{_datadir}/%{name}/icons/*
%{_datadir}/applications/%{name}*

%files devel
%defattr(-,root,root)
%{_includedir}/*

%if %with_tvfonts
%post OSD-fonts
cd %{_datadir}/fonts/misc
test -x %{_bindir}/mkfontdir && %{_bindir}/mkfontdir || true
test -n "$DISPLAY" && %{_bindir}/xset fp rehash || true

%postun OSD-fonts
cd %{_datadir}/fonts/misc
test -x %{_bindir}/mkfontdir && %{_bindir}/mkfontdir || true
test -n "$DISPLAY" && %{_bindir}/xset fp rehash || true

%files OSD-fonts
%defattr(-,root,root)
%{_datadir}/fonts/misc/*.gz
%endif

%changelog
* Sun Jan 28 2007 Sir Pingus <pingus_77@yahoo.fr> 2.4.0
- Fix some small bugs in that spec files

* Fri Dec 22 2006 Sir Pingus <pingus_77@yahoo.fr> 2.3.4
- Add a new switch: -with (by default) / -without tvfonts
- Change the default misc fonts path by this one: /usr/share/fonts/misc/
- Add the XDG menu support
- Rename the OSD-font package as there are more than one OSD font now.
- Cleanup the spec file.
- Xaw is used by default.
- Create a README.spec help file.
- Add a new switch: -with / -without (by default) external_ffmpeg

* Fri Feb 24 2006 Sir Pingus <pingus_77@yahoo.fr> 2.3.1
- 2.3.1
- FFmpeg inside XdTV
- Add the possibility to compile with amr_nb & amr_wb

* Thu Dec 22 2005 Sir Pingus <pingus_77@yahoo.fr> 2.3.0
- 2.3.0
- review all the spec: now -with / without can be use with rpmbuild
